<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Conditions dropdown.
 *
 * Display a list of conditions.
 *
 * @since 1.0.0
 *
 * @param mixed  $id            ID of the current condition.
 * @param mixed  $group         Group the condition belongs to.
 * @param string $current_value Current condition value.
 */
function waef_condition_conditions( $id, $group = 0, $current_value = 'subtotal' ) {

	$conditions = array(
		__( 'Cart', 'woocommerce-advanced-extra-fees' ) => array(
			'subtotal'                => __( 'Subtotal', 'woocommerce-advanced-extra-fees' ),
			'contains_product'        => __( 'Contains product', 'woocommerce-advanced-extra-fees' ),
			
		),
		__( 'User Details', 'woocommerce-advanced-extra-fees' ) => array(
			'country' => __( 'Country', 'woocommerce-advanced-extra-fees' ),
			
		),
		__( 'Product', 'woocommerce-advanced-extra-fees' ) => array(
			'stock_status' => __( 'Stock status', 'woocommerce-advanced-extra-fees' ),
			
		),
	);
	$conditions = apply_filters( 'waef_conditions', $conditions );


	?><span class='waef-condition-wrap waef-condition-wrap-<?php echo absint( $id ); ?>'>

		<select class='waef-condition' data-group='<?php echo absint( $group ); ?>' data-id='<?php echo absint( $id ); ?>'
			name='_waef_conditions[<?php echo absint( $group ); ?>][<?php echo absint( $id ); ?>][condition]'><?php

			foreach ( $conditions as $option_group => $values ) :

				?><optgroup label='<?php echo esc_attr( $option_group ); ?>'><?php

				foreach ( $values as $key => $value ) :
					?><option value='<?php echo esc_attr( $key ); ?>' <?php selected( $key, $current_value ); ?>><?php echo esc_html( $value ); ?></option><?php
				endforeach;

				?></optgroup><?php

			endforeach;

		?></select>

	</span><?php

}
